| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
System

# Method System.setegid()

Method setegid

  `int setegid(int egid)`

Description

  Set the effective group ID to egid . If egid is `-1` the uid for "nobody" will be used.

Returns

  Returns the current errno.

Throws

  Throws an error if there is no "nobody" user when egid is `-1`.

Note

  This function isn't available on all platforms.